package com.rshy.project.hy.web.controller;

import com.alibaba.fastjson.JSON;
import com.rshy.project.hy.baseRe.Ret;
import com.rshy.project.hy.manager.RshyJkManager;
import com.rshy.project.hy.server.param.RshyParam;
import com.rshy.project.hy.server.param.RshyQuickParam;
import com.rshy.project.hy.server.vo.RshyVo;
import com.rshy.project.hy.util.PatternUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ProjectName: rshy
 * @Package: com.rshy.project.hy.web.controller
 * @ClassName: RshyController
 * @Author: shihongbo
 * @Description:
 * @Date: 2022/3/2 15:22
 * @Version: 1.0
 */
@RestController
@Api(tags = "人身核验控制层")
@RequestMapping("/rshy")
@Slf4j
public class RshyController {
    @Autowired
    private RshyJkManager rshyJkManager;

    @ApiOperation("普通核验模式")
    @PostMapping("getRyhyInfo")
    public Ret<RshyVo> getRyhyInfo(@RequestBody RshyParam rshyParam) {
        if (StringUtils.isNotBlank(rshyParam.getSfzh()) && !PatternUtil.isIDNumber(rshyParam.getSfzh())) {
            return Ret.error(10001, "身份证不合法");
        }

        /*
        if(StrUtil.isEmpty(rshyParam.getPhoto())){
            return Ret.error(10002, "人员照片必传");
        }

         */

        return Ret.success(rshyJkManager.getRshyInfo(rshyParam));
    }

    @ApiOperation("人脸快速核验模式")
    @PostMapping("getQuickRyhyInfo")
    public Ret<RshyVo> getQuickRyhyInfo(@RequestBody RshyQuickParam rshyQuickParam) {
        RshyVo rshyVo = rshyJkManager.getQuickRyhyInfo(rshyQuickParam);
        log.info("快速核验响应内容：{}", JSON.toJSONString(rshyVo));
        return Ret.success(rshyVo);
    }
}
